> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eazecustoms.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get shipment

> Get shipment details and all linked customs declarations.

Get a shipment and a summary of all declarations linked to it.

### Path Parameters

<ParamField path="id" type="number" required>
  The unique shipment ID.
</ParamField>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "shipmentId": 99,
    "referenceNumber": "180-43189021",
    "status": "clearanceInProgress",
    "createdAt": "2026-06-10T08:30:00.000Z",
    "updatedAt": "2026-06-10T08:31:00.000Z",
    "declarations": [
      {
        "declarationId": 42,
        "lrn": "NL202600001",
        "mrn": "26NL90831023812038",
        "status": "ready",
        "type": "IMPORT"
      }
    ]
  }
  ```
</ResponseExample>
